OAuth userinfo
curl --request GET \
--url https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)OAuth 2.1
OAuth userinfo
Retrieve the authorized ChatATP Studio user’s identity claims
GET
/
oauth
/
userinfo
/
OAuth userinfo
curl --request GET \
--url https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Returns identity claims for the user who granted the OAuth consent. The access token must include the
Use
users:read scope.
cURL
curl https://chatatp-agent-builder-backend.onrender.com/oauth/userinfo/ \
-H "Authorization: Bearer $CHATATP_ACCESS_TOKEN"
{
"sub": "42",
"id": 42,
"email": "[email protected]",
"email_verified": true,
"name": "Person Example",
"given_name": "Person",
"family_name": "Example",
"picture": "https://cdn.example.com/avatar.png"
}
sub as the stable external identity key. Email addresses can change and should not be used as the primary identifier.